SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces
DS_BinarySearchTree.h File Reference
`#include "DS_QueueLinkedList.h"`
`#include "memoryoverride.h"`
`#include "Export.h"`

Go to the source code of this file.

## Classes

class | DataStructures::BinarySearchTree< BinarySearchTreeType >
| A binary search tree and an AVL balanced binary search tree. More...
struct | DataStructures::BinarySearchTree< BinarySearchTreeType >::node
class | DataStructures::AVLBalancedBinarySearchTree< BinarySearchTreeType >
| An AVLBalancedBinarySearchTree is a binary tree that is always balanced. More...

## Namespaces

namespace | DataStructures

## Class Documentation

struct DataStructures::BinarySearchTree::node

### template<class BinarySearchTreeType>
struct DataStructures::BinarySearchTree< BinarySearchTreeType >::node

Definition at line 102 of file DS_BinarySearchTree.h.

Class Members
BinarySearchTreeType * | item |
node * | left |
node * | right |